using Microsoft.Kinect;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KinectUtils
{
    class BaseMapping<T>
    {
        public void SubscribeToStartGesture(BaseGesture gesture)
        {
            throw new NotImplementedException();
        }
        public void SubscribeToEndGesture(BaseGesture gesture)
        {
            throw new NotImplementedException();
        }
        public void SubscribeToToggleGesture(BaseGesture gesture)
        {
            throw new NotImplementedException();
        }
        protected T Mapping(Body body)
        {
            throw new NotImplementedException();
        }
        public bool TestMapping(Body body, out T output) 
        { 
            throw new NotImplementedException(); 
        }
    }
}
